# PList< T >::iterator_base Class Reference

`#include <lists.h>`

Inheritance diagram for PList< T >::iterator_base:

List of all members.

## Public Member Functions

bool | operator== (const iterator_base &it) const
bool | operator!= (const iterator_base &it) const

## Protected Member Functions

| iterator_base (PListElement *e)
void | Next ()
void | Prev ()
T * | Ptr () const

## Protected Attributes

PListElement * | element

### template<class T>
class PList< T >::iterator_base

## Constructor & Destructor Documentation

template<class T>

PList< T >::iterator_base::iterator_base | ( | PListElement * | e | ) | `[inline, protected]`

## Member Function Documentation

template<class T>

void PList< T >::iterator_base::Next | ( |  | ) | `[inline, protected]`

template<class T>

bool PList< T >::iterator_base::operator!= | ( | const iterator_base & | it | ) | const`[inline]`

template<class T>

bool PList< T >::iterator_base::operator== | ( | const iterator_base & | it | ) | const`[inline]`

template<class T>

void PList< T >::iterator_base::Prev | ( |  | ) | `[inline, protected]`

template<class T>

T* PList< T >::iterator_base::Ptr | ( |  | ) | const`[inline, protected]`

## Member Data Documentation

template<class T>

PListElement* PList< T >::iterator_base::element `[protected]`

The documentation for this class was generated from the following file:

- lists.h